{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "Persona",
  "type": "object",
  "required": ["header", "name", "identity", "traits", "skills", "initial_items"],
  "properties": {
    "header": {
      "$ref": "resource-header.schema.json"
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "identity": {
      "type": "string"
    },
    "traits": {
      "type": "array"
    },
    "skills": {
      "type": "array"
    },
    "initial_items": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}
